# GreenIslandConfig.cmake provides information about the installed GreenIsland library.
# It can be used directly from CMake via find_package(GreenIsland NO_MODULE)
#
# The following CMake variables are provided:
#   GreenIsland_VERSION_MAJOR - the major version number of GreenIsland
#   GreenIsland_VERSION_MINOR - the minor version number of GreenIsland
#   GreenIsland_VERSION_PATCH - the patch version number of GreenIsland
#   GreenIsland_INCLUDE_DIRS  - the include directories to use
#   GreenIsland_LIBRARIES     - the libraries to link against
#
# Additionally, the following imported library targets are created, which may be used directly
# with target_link_libraries():
#   Hawaii::GreenIsland - the GreenIsland library


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was GreenIslandConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib64/cmake/GreenIsland" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

# Any changes in this ".cmake" file will be overwritten by CMake, the source is the ".cmake.in" file.

set(GreenIsland_VERSION_MAJOR "0")
set(GreenIsland_VERSION_MINOR "3")
set(GreenIsland_VERSION_PATCH "0")

set(GreenIsland_INSTALL_PREFIX "${PACKAGE_PREFIX_DIR}")
set_and_check(GreenIsland_INCLUDE_DIR "${PACKAGE_PREFIX_DIR}/include")

if(NOT TARGET Hawaii::GreenIsland)
  include("${CMAKE_CURRENT_LIST_DIR}/GreenIslandTargets.cmake")
endif()

# "public" variables:

set(GreenIsland_INCLUDE_DIRS ${GreenIsland_INCLUDE_DIR} ${GreenIsland_INCLUDE_DIR}/GreenIsland)
set(GreenIsland_LIBRARIES Hawaii::GreenIsland)
